package org.expressolivre.cte.calendar.adicionar;

import java.text.SimpleDateFormat;
import java.util.Calendar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentPage;
import org.testng.Assert;
import org.testng.annotations.Optional;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.2] Adicionar Compromisso
 * 
 * Caso de Teste: EL-947:Adicionar compromisso com data final menor que data
 * inicial
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-947
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jul 26, 2011 at 10:45:08 AM
 * 
 */
public class AdicionarCompromissoDataFinalMenorDataInicialTestCase extends
		BaseCalendarTestCase {

	@Parameters({ "tipo", "titulo", "descricao", "local", "horaInicial",
			"minutoInicial", "horaFinal", "minutoFinal", "prioridade" })
	@Test
	public void adicionarCompromissoComDataFinalMenorQueDataInicial(
			@Optional("Normal") String tipo, String titulo,
			@Optional("") String descricao, @Optional("") String local,
			String horaInicial, String minutoInicial, String horaFinal,
			String minutoFinal, @Optional("Normal") String prioridade) {

		// Pega data corrente.
		Calendar cal = Calendar.getInstance();
		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
		SimpleDateFormat sdf2 = new SimpleDateFormat("dd/MM/yyyy");

		String dataInicial = sdf2.format(cal.getTime());
		cal.add(Calendar.DATE, -1);
		String dataFinal = sdf2.format(cal.getTime());

		AppointmentPage ap = super.newAppointment(sdf.format(cal.getTime()));
		ap.setType(tipo);
		ap.setTitle(titulo);
		ap.setDescription(descricao);
		ap.setLocation(local);
		ap.setStartDate(dataInicial);
		ap.setStartHour(horaInicial);
		ap.setStartMinute(minutoInicial);
		ap.setEndDate(dataFinal);
		ap.setEndHour(horaFinal);
		ap.setEndMinute(minutoFinal);
		ap.setPriority(prioridade);
		ap.saveAppointment();

		ap.saveAppointment();

		Assert.assertEquals(ap.getFormStatus(),
				"Você informou uma data inválida.");

	}
}
