package org.expressolivre.cte.calendar.compartilhar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.common.Config;
import org.expressolivre.cte.pages.calendar.AppointmentEditPage;
import org.expressolivre.cte.pages.calendar.AppointmentViewPage;
import org.expressolivre.cte.pages.calendar.CalendarTodayViewPage;
import org.testng.Assert;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.7] Compartilhar agenda
 * 
 * Caso de Teste: EL-983:Editar agenda compartilhada com acesso somente leitura
 * e edicao
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-983
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 23, 2011 at 2:20:19 PM
 * 
 */
public class EditarAgendaCompartilhadaSomenteLeituraEEdicaoTestCase extends
		BaseCalendarTestCase {

	@Parameters({ "owner", "titulo", "novaHoraInicio", "novoMinutoInicio",
			"novaHoraFim", "novoMinutoFim" })
	@Test
	public void editarAgendaCompartilhadaSomenteLeituraEEdicao(String owner,
			String titulo, String novaHoraInicio, String novoMinutoInicio,
			String novaHoraFim, String novoMinutoFim) {
		CalendarTodayViewPage ctvp = super.openTodayView();

		// Busca o nome do usuario do arquivo de confirguracao.
		String userName = Config.getInstance().getConfig(owner + ".name");
		ctvp.setOwner(userName);

		String id = ctvp.getAppointmentId(titulo);
		AppointmentViewPage avp = cp.openAppointmentViewPage(id);
		Assert.assertEquals(avp.getTitle(), titulo);

		AppointmentEditPage aep = avp.editAppointment();
		aep.setStartHour(novaHoraInicio);
		aep.setStartMinute(novoMinutoInicio);
		aep.setEndHour(novaHoraFim);
		aep.setEndMinute(novoMinutoFim);
		aep.saveAppointment();

	}
}
