package org.expressolivre.cte.calendar.compartilhar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.common.Config;
import org.expressolivre.cte.pages.calendar.AppointmentViewPage;
import org.expressolivre.cte.pages.calendar.CalendarTodayViewPage;
import org.testng.Assert;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.7] Compartilhar agenda
 * 
 * Caso de Teste: EL-982:Editar agenda compartilhada com acesso somente leitura
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-982
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 22, 2011 at 4:31:19 PM
 * 
 */
public class EditarAgendaCompartilhadaSomenteLeituraTestCase extends
		BaseCalendarTestCase {

	@Parameters({ "owner", "titulo" })
	@Test
	public void editarAgendaCompartilhadaSomenteLeitura(String owner,
			String titulo) {
		CalendarTodayViewPage ctvp = super.openTodayView();

		// Busca o nome do usuario do arquivo de confirguracao.
		String userName = Config.getInstance().getConfig(owner + ".name");
		ctvp.setOwner(userName);

		String id = ctvp.getAppointmentId(titulo);
		AppointmentViewPage avp = cp.openAppointmentViewPage(id);
		Assert.assertEquals(avp.getTitle(), titulo);

	}
}
